# coding: utf-8

"""
    Twitter OpenAPI

    Twitter OpenAPI(Swagger) specification

    The version of the OpenAPI document: 0.0.1
    Contact: yuki@yuki0311.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictInt, field_validator
from typing import Any, ClassVar, Dict, List, Optional
from typing_extensions import Annotated
from twitter_openapi_python_generated.models.user_verification_info_reason_description import UserVerificationInfoReasonDescription
from typing import Optional, Set
from typing_extensions import Self

class UserVerificationInfoReason(BaseModel):
    """
    UserVerificationInfoReason
    """ # noqa: E501
    description: UserVerificationInfoReasonDescription
    override_verified_year: Optional[StrictInt] = None
    verified_since_msec: Annotated[str, Field(strict=True)]
    __properties: ClassVar[List[str]] = ["description", "override_verified_year", "verified_since_msec"]

    @field_validator('verified_since_msec')
    def verified_since_msec_validate_regular_expression(cls, value):
        """Validates the regular expression"""
        if not re.match(r"^-?[0-9]+$", value):
            raise ValueError(r"must validate the regular expression /^-?[0-9]+$/")
        return value

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of UserVerificationInfoReason from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of description
        if self.description:
            _dict['description'] = self.description.to_dict()
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of UserVerificationInfoReason from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "description": UserVerificationInfoReasonDescription.from_dict(obj["description"]) if obj.get("description") is not None else None,
            "override_verified_year": obj.get("override_verified_year"),
            "verified_since_msec": obj.get("verified_since_msec")
        })
        return _obj


